Project

General

Profile

Bug #31987

When I sync deb repositories I get the error: The path for file 'dists/buster' overlaps: dists/buster/non-free/binary-amd64/Packages.gz, dists/buster/non-free/binary-amd64/Packages.xz, dists/buster/non-free/binary-amd64/Release

Added by Piotr Pietruszka about 1 year ago. Updated about 1 year ago.

Status:
Rejected
Priority:
High
Assignee:
-
Category:
Repositories
Target version:
Difficulty:
Triaged:
Yes
Bugzilla link:
Pull request:
Fixed in Releases:
Found in Releases:
Red Hat JIRA:

Description

ID: 666
Name: Buster
Label: Buster
Description:
Organization: OPL
Red Hat Repository: no
Content Type: deb
Mirror on Sync: yes
URL: http://ftp.debian.org/debian/
Publish Via HTTP: yes
Published At: http://oplrepo-cpd-dmz.corpnet.pl/pulp/deb/OPL/Library/custom/Debian/Buster/
Relative Path: OPL/Library/custom/Debian/Buster
Download Policy:
HTTP Proxy:
HTTP Proxy Policy: global_default_http_proxy
Product:
ID: 59
Name: Debian
GPG Key:

Sync:
Status: Error
Created: 2021/02/19 11:56:42
Updated: 2021/02/19 11:56:44
Content Counts:

ERROR: ValueError: The path for file 'dists/buster' overlaps: dists/buster/non-free/binary-amd64/Packages.gz, dists/buster/non-free/binary-amd64/Packages.xz, dists/buster/non-free/binary-amd64/Release, dists/buster/non-free/binary-amd64/Packages, dists/buster/Release, dists/buster/InRelease, dists/buster/Release.gpg, dists/buster/contrib/binary-amd64/Packages.gz, dists/buster/contrib/binary-amd64/Packages.xz, dists/buster/contrib/binary-amd64/Release, dists/buster/contrib/binary-amd64/Packages, dists/buster/main/binary-amd64/Packages.gz, dists/buster/main/binary-amd64/Packages.xz, dists/buster/main/binary-amd64/Release, dists/buster/main/binary-amd64/Packages

Feb 22 17:06:37 oplrepo-cpd-dmz pulpcore-worker-5: pulp: rq.worker:ERROR: Traceback (most recent call last):
Feb 22 17:06:37 oplrepo-cpd-dmz pulpcore-worker-5: File "/usr/lib/python3.6/site-packages/pulpcore/plugin/repo_version_utils.py", line 124, in validate_version_paths
Feb 22 17:06:37 oplrepo-cpd-dmz pulpcore-worker-5: validate_file_paths(paths)
Feb 22 17:06:37 oplrepo-cpd-dmz pulpcore-worker-5: File "/usr/lib/python3.6/site-packages/pulpcore/app/files.py", line 138, in validate_file_paths
Feb 22 17:06:37 oplrepo-cpd-dmz pulpcore-worker-5: raise ValueError(overlap_error.format(path=path, conflicts=(", ").join(conflicts)))
Feb 22 17:06:37 oplrepo-cpd-dmz pulpcore-worker-5: ValueError: The path for file 'dists/buster' overlaps: dists/buster/non-free/binary-amd64/Packages.gz, dists/buster/non-free/binary-amd64/Packages.xz, dists/buster/non-free/binary-amd64/Release, dists/buster/non-free/binary-amd64/Packages, dists/buster/Release, dists/buster/InRelease, dists/buster/Release.gpg, dists/buster/contrib/binary-amd64/Packages.gz, dists/buster/contrib/binary-amd64/Packages.xz, dists/buster/contrib/binary-amd64/Release, dists/buster/contrib/binary-amd64/Packages, dists/buster/main/binary-amd64/Packages.gz, dists/buster/main/binary-amd64/Packages.xz, dists/buster/main/binary-amd64/Release, dists/buster/main/binary-amd64/Packages
Feb 22 17:06:37 oplrepo-cpd-dmz pulpcore-worker-5: During handling of the above exception, another exception occurred:
Feb 22 17:06:37 oplrepo-cpd-dmz pulpcore-worker-5: Traceback (most recent call last):
Feb 22 17:06:37 oplrepo-cpd-dmz pulpcore-worker-5: File "/usr/lib/python3.6/site-packages/rq/worker.py", line 936, in perform_job
Feb 22 17:06:37 oplrepo-cpd-dmz pulpcore-worker-5: rv = job.perform()
Feb 22 17:06:37 oplrepo-cpd-dmz pulpcore-worker-5: File "/usr/lib/python3.6/site-packages/rq/job.py", line 684, in perform
Feb 22 17:06:37 oplrepo-cpd-dmz pulpcore-worker-5: self._result = self._execute()
Feb 22 17:06:37 oplrepo-cpd-dmz pulpcore-worker-5: File "/usr/lib/python3.6/site-packages/rq/job.py", line 690, in execute
Feb 22 17:06:37 oplrepo-cpd-dmz pulpcore-worker-5: return self.func(*self.args, **self.kwargs)
Feb 22 17:06:37 oplrepo-cpd-dmz pulpcore-worker-5: File "/usr/lib/python3.6/site-packages/pulp_deb/app/tasks/synchronizing.py", line 106, in synchronize
Feb 22 17:06:37 oplrepo-cpd-dmz pulpcore-worker-5: DebDeclarativeVersion(first_stage, repository, mirror=mirror).create()
Feb 22 17:06:37 oplrepo-cpd-dmz pulpcore-worker-5: File "/usr/lib/python3.6/site-packages/pulpcore/plugin/stages/declarative_version.py", line 148, in create
Feb 22 17:06:37 oplrepo-cpd-dmz pulpcore-worker-5: loop.run_until_complete(pipeline)
Feb 22 17:06:37 oplrepo-cpd-dmz pulpcore-worker-5: File "/usr/lib/python3.6/site-packages/pulpcore/app/models/repository.py", line 795, in exit
Feb 22 17:06:37 oplrepo-cpd-dmz pulpcore-worker-5: repository.finalize_new_version(self)
Feb 22 17:06:37 oplrepo-cpd-dmz pulpcore-worker-5: File "/usr/lib/python3.6/site-packages/pulp_deb/app/models/repository.py", line 57, in finalize_new_version
Feb 22 17:06:37 oplrepo-cpd-dmz pulpcore-worker-5: validate_repo_version(new_version)
Feb 22 17:06:37 oplrepo-cpd-dmz pulpcore-worker-5: File "/usr/lib/python3.6/site-packages/pulpcore/plugin/repo_version_utils.py", line 139, in validate_repo_version
Feb 22 17:06:37 oplrepo-cpd-dmz pulpcore-worker-5: validate_version_paths(version)
Feb 22 17:06:37 oplrepo-cpd-dmz pulpcore-worker-5: File "/usr/lib/python3.6/site-packages/pulpcore/plugin/repo_version_utils.py", line 126, in validate_version_paths
Feb 22 17:06:37 oplrepo-cpd-dmz pulpcore-worker-5: raise ValueError(
("Cannot create repository version. {err}.").format(err=e))

History

#1 Updated by Chris Roberts about 1 year ago

  • Triaged changed from No to Yes
  • Target version set to Katello Recycle Bin
  • Status changed from New to Rejected

Hi Piotr,

This looks to be related to Pulp and how they handle the repo creation. Can you open an issue over there please?

https://pulp.plan.io/projects/pulp_deb/issues/new

Thanks!

Also available in: Atom PDF